# Function inputDirective

- inputDirective($browser, $filter, $parse): {
  link: {
  pre(scope: any, element: any, attr: any, ctrls: any): void;
  };
  require: string[];
  restrict: string;
  }

- #### Parameters

  - $browser: Browser
  - $filter: any
  - $parse: any

  #### Returns {
  link: {
  pre(scope: any, element: any, attr: any, ctrls: any): void;
  };
  require: string[];
  restrict: string;
  }

  - ##### link: {
    pre(scope: any, element: any, attr: any, ctrls: any): void;
    }

    - ##### pre:function

      - pre(scope, element, attr, ctrls): void

      - #### Parameters

        - scope: any
        - element: any
        - attr: any
        - ctrls: any

        #### Returns void

        - Defined in directive/input/input.js:990

  - ##### require: string[]

  - ##### restrict: string

  - Defined in directive/input/input.js:985

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

#### Returns

- Defined in directive/input/input.js:977